
window.addEventListener ("load", VacuumPlacesLoad, false);

function VacuumPlacesLoad()
{
    if (!VacuumPlacesAutoHide()) return;
    
    var interval = VacuumPlacesGetInterval();
    var startnum = VacuumPlacesGetStartNumber();
    
    if (startnum<interval)
    {
        document.getElementById("VacuumPlaces-panel").hidden = true;
    }
    
    Components.classes["@mozilla.org/preferences-service;1"]
        .getService(Components.interfaces.nsIPrefService)
        .getBranch("extensions.VacuumPlaces.")
        .setIntPref("startnumber",startnum+1);
}

function VacuumPlacesLeftClick(e)
{
    if (e.button != 2)
    {
        Components.classes["@mozilla.org/browser/nav-history-service;1"].getService(Components.interfaces.nsPIPlacesDatabase).DBConnection.executeSimpleSQL("VACUUM");
        var text = "Places データベースの vacuum に成功しました！";
        var alertsService = Components.classes["@mozilla.org/alerts-service;1"].getService(Components.interfaces.nsIAlertsService);
        alertsService.showAlertNotification("chrome://VacuumPlaces/content/VacuumPlaces.png",  "Vacuum Places", text, false, "vacuumed", null);
        Components.classes["@mozilla.org/preferences-service;1"]
        .getService(Components.interfaces.nsIPrefService)
        .getBranch("extensions.VacuumPlaces.")
        .setIntPref("startnumber",0);
    }
}

function VacuumPlacesShowPrefs()
{
    window.openDialog("chrome://VacuumPlaces/content/prefs.xul", "_blank", "modal,centerscreen,chrome,resizable=no,dependent=yes");
}

function VacuumPlacesGetStartNumber()
{
     return Components.classes["@mozilla.org/preferences-service;1"]
         .getService(Components.interfaces.nsIPrefService)
         .getBranch("extensions.VacuumPlaces.")
         .getIntPref("startnumber");
}

function VacuumPlacesGetInterval()
{
     return Components.classes["@mozilla.org/preferences-service;1"]
         .getService(Components.interfaces.nsIPrefService)
         .getBranch("extensions.VacuumPlaces.")
         .getIntPref("interval");
}

function VacuumPlacesAutoHide()
{
     return Components.classes["@mozilla.org/preferences-service;1"]
         .getService(Components.interfaces.nsIPrefService)
         .getBranch("extensions.VacuumPlaces.")
         .getBoolPref("autohide");
}